class Author:
    # Author(string, list-of-Books)
    def __init__(self, name, books):
        self.name = name
        self.books = books[:]

    # __str__: -> string
    def __str__(self):
        return self.name + " (" + ", ".join([book.getTitle() for book in self.books]) + ")"

    # getName: -> string
    def getName(self):
        return self.name

    # getBooks: -> list-of-Books
    def getBooks(self):
        return self.books

    # setName: string -> void
    def setName(self, newName):
        self.name = newName

    # setBooks: -> list-of-Books
    def setBooks(self, newBooks):
        self.books = newBooks[:]

    # addBook: Book -> void
    def addBook(self, newBook):
        self.books.append(newBook)
        
